# Class AtomSetObject

java.lang.Object
org.jmol.adapter.smarter.AtomSetObject

Direct Known Subclasses:
  `Bond`

public abstract class AtomSetObject extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`atomSetIndex`

## Constructor Summary

Constructors
Constructor
Description
`AtomSetObject()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### atomSetIndex

public int atomSetIndex

## Constructor Details

### AtomSetObject

public AtomSetObject()